Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::iter_size_fn Struct Reference
Iterator

## Public Member Functions
template<typename I , typename S >
constexpr meta::_t< std::make_unsigned< iter_difference_t< I > > > | operator() (I const &first, S last) const

## Member Function Documentation

## ◆ operator()()

template<typename I , typename S >

constexpr meta::_t<std::make_unsigned<iter_difference_t<I> > > ranges::iter_size_fn::operator() | ( | I const & | first,
|  | S | last
| ) |  | const
| constexpr

Precondition
  requires `sized_sentinel_for<S, I>`